#ifndef CONTROLVOLUMEWIDGET_H
#define CONTROLVOLUMEWIDGET_H

#include <QWidget>
#include <device/controlvolumeschedule.h>
#include "QStackedWidget"
#include <QRadioButton>

class ControlVolumeWidget : public QWidget {
    Q_OBJECT
public:
    explicit ControlVolumeWidget(QWidget *parent = nullptr,QList<LedCard *> *m_pLedlist=nullptr);
protected:
    void showEvent(QShowEvent *event) override;
    void init();
    void changeEvent(QEvent *) override;
    void transUi();

private:
    ControlVolumeSchedule *m_pSchedule;

    QLabel *lbVolumeControl;
    QRadioButton *fdManual;
    QRadioButton *fdSchedule;

    QLabel *lbVolume;
    QSlider *fdVolume;
    QPushButton *fdVolumeGet;
};

#endif // CONTROLVOLUMEWIDGET_H
